org.apache.fop.afp

## Class AFPDataObjectInfo

- java.lang.Object
- - org.apache.fop.afp.AFPDataObjectInfo

Direct Known Subclasses:
  AFPGraphicsObjectInfo, AFPImageObjectInfo

    public class AFPDataObjectInfo
    extends Object

A list of parameters associated with an AFP data objects

### Field Summary

Fields
`static byte` `DEFAULT_MAPPING_OPTION`

### Constructor Summary

Constructors
Constructor and Description
`AFPDataObjectInfo()` Default constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getData()` Returns the object data
`int` `getDataHeight()` Returns the image data height
`int` `getDataHeightRes()` Returns the data height resolution
`int` `getDataWidth()` Returns the image data width
`int` `getDataWidthRes()` Returns the data width resolution
`byte` `getMappingOption()` Returns the way an image is mapped into its target area.
`String` `getMimeType()` Returns the mime type of this data object
`AFPObjectAreaInfo` `getObjectAreaInfo()` Returns the object area info
`Registry.ObjectType` `getObjectType()` Convenience method to return the object type
`AFPResourceInfo` `getResourceInfo()` Returns the resource level at which this data object should reside
`byte[]` `getTransparencyMask()`
`String` `getUri()` Returns the uri of this data object
`boolean` `isCreatePageSegment()` Indicates whether a page segment or a normal object shall be created.
`void` `setCreatePageSegment(boolean value)` Controls whether to create a page segment or a normal object.
`void` `setData(byte[] data)` Sets the object data
`void` `setDataHeight(int imageDataHeight)` Sets the image data height
`void` `setDataHeightRes(int dataHeightRes)` Sets the data height resolution
`void` `setDataWidth(int imageDataWidth)` Sets the image data width
`void` `setDataWidthRes(int dataWidthRes)` Sets the data width resolution
`void` `setMappingOption(byte mappingOption)` Sets the way an image is mapped into its target area.
`void` `setMimeType(String mimeType)` Sets the image mime type
`void` `setObjectAreaInfo(AFPObjectAreaInfo objectAreaInfo)` Sets the object area info
`void` `setResourceInfo(AFPResourceInfo resourceInfo)` Sets the resource level at which this object should reside
`void` `setTransparencyMask(byte[] transparencyMask)`
`void` `setUri(String uri)` Sets the data object uri
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_MAPPING_OPTION

    public static final byte DEFAULT_MAPPING_OPTION

See Also:
  Constant Field Values

### Constructor Detail

#### AFPDataObjectInfo

    public AFPDataObjectInfo()

Default constructor

### Method Detail

#### setMimeType

    public void setMimeType(String mimeType)

Sets the image mime type

Parameters:
  `mimeType` - the image mime type

#### getMimeType

    public String getMimeType()

Returns the mime type of this data object

Returns:
  the mime type of this data object

#### getObjectType

    public Registry.ObjectType getObjectType()

Convenience method to return the object type

Returns:
  the object type

#### getResourceInfo

    public AFPResourceInfo getResourceInfo()

Returns the resource level at which this data object should reside

Returns:
  the resource level at which this data object should reside

#### setResourceInfo

    public void setResourceInfo(AFPResourceInfo resourceInfo)

Sets the resource level at which this object should reside

Parameters:
  `resourceInfo` - the resource level at which this data object should reside

#### setObjectAreaInfo

    public void setObjectAreaInfo(AFPObjectAreaInfo objectAreaInfo)

Sets the object area info

Parameters:
  `objectAreaInfo` - the object area info

#### getObjectAreaInfo

    public AFPObjectAreaInfo getObjectAreaInfo()

Returns the object area info

Returns:
  the object area info

#### getUri

    public String getUri()

Returns the uri of this data object

Returns:
  the uri of this data object

#### setUri

    public void setUri(String uri)

Sets the data object uri

Parameters:
  `uri` - the data object uri

#### getDataWidth

    public int getDataWidth()

Returns the image data width

Returns:
  the image data width

#### setDataWidth

    public void setDataWidth(int imageDataWidth)

Sets the image data width

Parameters:
  `imageDataWidth` - the image data width

#### getDataHeight

    public int getDataHeight()

Returns the image data height

Returns:
  the image data height

#### setDataHeight

    public void setDataHeight(int imageDataHeight)

Sets the image data height

Parameters:
  `imageDataHeight` - the image data height

#### getDataHeightRes

    public int getDataHeightRes()

Returns the data height resolution

Returns:
  the data height resolution

#### setDataHeightRes

    public void setDataHeightRes(int dataHeightRes)

Sets the data height resolution

Parameters:
  `dataHeightRes` - the data height resolution

#### getDataWidthRes

    public int getDataWidthRes()

Returns the data width resolution

Returns:
  the data width resolution

#### setDataWidthRes

    public void setDataWidthRes(int dataWidthRes)

Sets the data width resolution

Parameters:
  `dataWidthRes` - the data width resolution

#### setData

    public void setData(byte[] data)

Sets the object data

Parameters:
  `data` - the object data

#### getData

    public byte[] getData()

Returns the object data

Returns:
  the object data

#### setTransparencyMask

    public void setTransparencyMask(byte[] transparencyMask)

#### getTransparencyMask

    public byte[] getTransparencyMask()

#### setCreatePageSegment

    public void setCreatePageSegment(boolean value)

Controls whether to create a page segment or a normal object.

Parameters:
  `value` - true for page segments, false for objects

#### isCreatePageSegment

    public boolean isCreatePageSegment()

Indicates whether a page segment or a normal object shall be created.

Returns:
  true for page segments, false for objects

#### setMappingOption

    public void setMappingOption(byte mappingOption)

Sets the way an image is mapped into its target area.

Parameters:
  `mappingOption` - the mapping option (Valid values: see Mapping Option Triplet)

#### getMappingOption

    public byte getMappingOption()

Returns the way an image is mapped into its target area. By default, this is "scale to fill" behavior.

Returns:
  the mapping option value from the Mapping Option Triplet

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`